---
name: 🌐 Translating a new language?
about: Start a new translation effort in your language
title: '[i18n-<languageCode>] Translating docs to <languageName>'
labels: WIP
assignees: ''

---

<!--
Note: Please search to see if an issue already exists for the language you are trying to translate.
-->

Hi!

Let's bring the documentation to all the <languageName>-speaking community 🌐

Who would want to translate? Please follow the 🤗 [TRANSLATING guide](https://github.com/huggingface/huggingface_hub/blob/main/docs/TRANSLATING.md). Here is a list of the files ready for translation. Let us know in this issue if you'd like to translate any, and we'll add your name to the list.

Some notes:

* Please translate using an informal tone (imagine you are talking with a friend about huggingface_hub 🤗).
* Please translate in a gender-neutral way.
* Add your translations to the folder called `<languageCode>` inside the [source folder](https://github.com/huggingface/huggingface_hub/tree/main/docs/source).
* Register your translation in `<languageCode>/_toctree.yml`; please follow the order of the [English version](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/_toctree.yml).
* Once you're finished, open a pull request and tag this issue by including #issue-number in the description, where issue-number is the number of this issue. Please ping @Wauplin @stevhliu for review.
* 🙋 If you'd like others to help you with the translation, you can also post in the 🤗 [forums](https://discuss.huggingface.co/).

## README

- [ ] [README.md](https://github.com/huggingface/huggingface_hub/blob/main/README.md)

## Get Started section

- [ ] [index.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/index.md)
- [ ] [quick-start.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/quick-start.md)
- [ ] [installation.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/installation.md).

## How-to guides section
- [ ]  [community.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/community.md)
- [ ]  [download.md](https://github.com/huggingface/huggingface_hub/blob/master/docs/source/guides/download.md)
- [ ]  [hf_file_system.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/hf_file_system.md)
- [ ]  [inference.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/inference.md)
- [ ]  [integrations.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/integrations.md)
- [ ]  [manage-cache.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/manage-cache.md)
- [ ]  [manage-spaces.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/manage-spaces.md)
- [ ]  [model-cards.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/model-cards.md)
- [ ]  [overview.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/overview.md)
- [ ]  [repository.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/repository.md)
- [ ]  [search.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/search.md)
- [ ]  [upload.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/upload.md)
- [ ]  [webhooks_server.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/guides/webhooks_server.md)

## Conceptual guides section
- [ ]  [git_vs_http.md](https://github.com/huggingface/huggingface_hub/blob/main/docs/source/en/concepts/git_vs_http.md)

<!--
Keep on adding more as you go 🔥
-->
