
<!--⚠️ Note that this file is in Markdown but contains specific syntax for our doc-builder (similar to MDX) that may not be
rendered properly in your Markdown viewer.
-->
<!--⚠️ Note that this file is auto-generated by `utils/generate_inference_types.py`. Do not modify it manually.-->


# Inference types

This page lists the types (e.g. dataclasses) available for each task supported on the Hugging Face Hub.
Each task is specified using a JSON schema, and the types are generated from these schemas - with some customization
due to Python requirements.
Visit [@huggingface.js/tasks](https://github.com/huggingface/huggingface.js/tree/main/packages/tasks/src/tasks)
to find the JSON schemas for each task.

This part of the lib is still under development and will be improved in future releases.



## audio_classification

[[autodoc]] huggingface_hub.AudioClassificationInput

[[autodoc]] huggingface_hub.AudioClassificationOutputElement

[[autodoc]] huggingface_hub.AudioClassificationParameters



## audio_to_audio

[[autodoc]] huggingface_hub.AudioToAudioInput

[[autodoc]] huggingface_hub.AudioToAudioOutputElement



## automatic_speech_recognition

[[autodoc]] huggingface_hub.AutomaticSpeechRecognitionGenerationParameters

[[autodoc]] huggingface_hub.AutomaticSpeechRecognitionInput

[[autodoc]] huggingface_hub.AutomaticSpeechRecognitionOutput

[[autodoc]] huggingface_hub.AutomaticSpeechRecognitionOutputChunk

[[autodoc]] huggingface_hub.AutomaticSpeechRecognitionParameters



## chat_completion

[[autodoc]] huggingface_hub.ChatCompletionInput

[[autodoc]] huggingface_hub.ChatCompletionInputFunctionDefinition

[[autodoc]] huggingface_hub.ChatCompletionInputFunctionName

[[autodoc]] huggingface_hub.ChatCompletionInputGrammarType

[[autodoc]] huggingface_hub.ChatCompletionInputMessage

[[autodoc]] huggingface_hub.ChatCompletionInputMessageChunk

[[autodoc]] huggingface_hub.ChatCompletionInputStreamOptions

[[autodoc]] huggingface_hub.ChatCompletionInputTool

[[autodoc]] huggingface_hub.ChatCompletionInputToolCall

[[autodoc]] huggingface_hub.ChatCompletionInputToolChoiceClass

[[autodoc]] huggingface_hub.ChatCompletionInputURL

[[autodoc]] huggingface_hub.ChatCompletionOutput

[[autodoc]] huggingface_hub.ChatCompletionOutputComplete

[[autodoc]] huggingface_hub.ChatCompletionOutputFunctionDefinition

[[autodoc]] huggingface_hub.ChatCompletionOutputLogprob

[[autodoc]] huggingface_hub.ChatCompletionOutputLogprobs

[[autodoc]] huggingface_hub.ChatCompletionOutputMessage

[[autodoc]] huggingface_hub.ChatCompletionOutputToolCall

[[autodoc]] huggingface_hub.ChatCompletionOutputTopLogprob

[[autodoc]] huggingface_hub.ChatCompletionOutputUsage

[[autodoc]] huggingface_hub.ChatCompletionStreamOutput

[[autodoc]] huggingface_hub.ChatCompletionStreamOutputChoice

[[autodoc]] huggingface_hub.ChatCompletionStreamOutputDelta

[[autodoc]] huggingface_hub.ChatCompletionStreamOutputDeltaToolCall

[[autodoc]] huggingface_hub.ChatCompletionStreamOutputFunction

[[autodoc]] huggingface_hub.ChatCompletionStreamOutputLogprob

[[autodoc]] huggingface_hub.ChatCompletionStreamOutputLogprobs

[[autodoc]] huggingface_hub.ChatCompletionStreamOutputTopLogprob

[[autodoc]] huggingface_hub.ChatCompletionStreamOutputUsage



## depth_estimation

[[autodoc]] huggingface_hub.DepthEstimationInput

[[autodoc]] huggingface_hub.DepthEstimationOutput



## document_question_answering

[[autodoc]] huggingface_hub.DocumentQuestionAnsweringInput

[[autodoc]] huggingface_hub.DocumentQuestionAnsweringInputData

[[autodoc]] huggingface_hub.DocumentQuestionAnsweringOutputElement

[[autodoc]] huggingface_hub.DocumentQuestionAnsweringParameters



## feature_extraction

[[autodoc]] huggingface_hub.FeatureExtractionInput



## fill_mask

[[autodoc]] huggingface_hub.FillMaskInput

[[autodoc]] huggingface_hub.FillMaskOutputElement

[[autodoc]] huggingface_hub.FillMaskParameters



## image_classification

[[autodoc]] huggingface_hub.ImageClassificationInput

[[autodoc]] huggingface_hub.ImageClassificationOutputElement

[[autodoc]] huggingface_hub.ImageClassificationParameters



## image_segmentation

[[autodoc]] huggingface_hub.ImageSegmentationInput

[[autodoc]] huggingface_hub.ImageSegmentationOutputElement

[[autodoc]] huggingface_hub.ImageSegmentationParameters



## image_to_image

[[autodoc]] huggingface_hub.ImageToImageInput

[[autodoc]] huggingface_hub.ImageToImageOutput

[[autodoc]] huggingface_hub.ImageToImageParameters

[[autodoc]] huggingface_hub.ImageToImageTargetSize



## image_to_text

[[autodoc]] huggingface_hub.ImageToTextGenerationParameters

[[autodoc]] huggingface_hub.ImageToTextInput

[[autodoc]] huggingface_hub.ImageToTextOutput

[[autodoc]] huggingface_hub.ImageToTextParameters



## object_detection

[[autodoc]] huggingface_hub.ObjectDetectionBoundingBox

[[autodoc]] huggingface_hub.ObjectDetectionInput

[[autodoc]] huggingface_hub.ObjectDetectionOutputElement

[[autodoc]] huggingface_hub.ObjectDetectionParameters



## question_answering

[[autodoc]] huggingface_hub.QuestionAnsweringInput

[[autodoc]] huggingface_hub.QuestionAnsweringInputData

[[autodoc]] huggingface_hub.QuestionAnsweringOutputElement

[[autodoc]] huggingface_hub.QuestionAnsweringParameters



## sentence_similarity

[[autodoc]] huggingface_hub.SentenceSimilarityInput

[[autodoc]] huggingface_hub.SentenceSimilarityInputData



## summarization

[[autodoc]] huggingface_hub.SummarizationInput

[[autodoc]] huggingface_hub.SummarizationOutput

[[autodoc]] huggingface_hub.SummarizationParameters



## table_question_answering

[[autodoc]] huggingface_hub.TableQuestionAnsweringInput

[[autodoc]] huggingface_hub.TableQuestionAnsweringInputData

[[autodoc]] huggingface_hub.TableQuestionAnsweringOutputElement

[[autodoc]] huggingface_hub.TableQuestionAnsweringParameters



## text2text_generation

[[autodoc]] huggingface_hub.Text2TextGenerationInput

[[autodoc]] huggingface_hub.Text2TextGenerationOutput

[[autodoc]] huggingface_hub.Text2TextGenerationParameters



## text_classification

[[autodoc]] huggingface_hub.TextClassificationInput

[[autodoc]] huggingface_hub.TextClassificationOutputElement

[[autodoc]] huggingface_hub.TextClassificationParameters



## text_generation

[[autodoc]] huggingface_hub.TextGenerationInput

[[autodoc]] huggingface_hub.TextGenerationInputGenerateParameters

[[autodoc]] huggingface_hub.TextGenerationInputGrammarType

[[autodoc]] huggingface_hub.TextGenerationOutput

[[autodoc]] huggingface_hub.TextGenerationOutputBestOfSequence

[[autodoc]] huggingface_hub.TextGenerationOutputDetails

[[autodoc]] huggingface_hub.TextGenerationOutputPrefillToken

[[autodoc]] huggingface_hub.TextGenerationOutputToken

[[autodoc]] huggingface_hub.TextGenerationStreamOutput

[[autodoc]] huggingface_hub.TextGenerationStreamOutputStreamDetails

[[autodoc]] huggingface_hub.TextGenerationStreamOutputToken



## text_to_audio

[[autodoc]] huggingface_hub.TextToAudioGenerationParameters

[[autodoc]] huggingface_hub.TextToAudioInput

[[autodoc]] huggingface_hub.TextToAudioOutput

[[autodoc]] huggingface_hub.TextToAudioParameters



## text_to_image

[[autodoc]] huggingface_hub.TextToImageInput

[[autodoc]] huggingface_hub.TextToImageOutput

[[autodoc]] huggingface_hub.TextToImageParameters



## text_to_speech

[[autodoc]] huggingface_hub.TextToSpeechGenerationParameters

[[autodoc]] huggingface_hub.TextToSpeechInput

[[autodoc]] huggingface_hub.TextToSpeechOutput

[[autodoc]] huggingface_hub.TextToSpeechParameters



## text_to_video

[[autodoc]] huggingface_hub.TextToVideoInput

[[autodoc]] huggingface_hub.TextToVideoOutput

[[autodoc]] huggingface_hub.TextToVideoParameters



## token_classification

[[autodoc]] huggingface_hub.TokenClassificationInput

[[autodoc]] huggingface_hub.TokenClassificationOutputElement

[[autodoc]] huggingface_hub.TokenClassificationParameters



## translation

[[autodoc]] huggingface_hub.TranslationInput

[[autodoc]] huggingface_hub.TranslationOutput

[[autodoc]] huggingface_hub.TranslationParameters



## video_classification

[[autodoc]] huggingface_hub.VideoClassificationInput

[[autodoc]] huggingface_hub.VideoClassificationOutputElement

[[autodoc]] huggingface_hub.VideoClassificationParameters



## visual_question_answering

[[autodoc]] huggingface_hub.VisualQuestionAnsweringInput

[[autodoc]] huggingface_hub.VisualQuestionAnsweringInputData

[[autodoc]] huggingface_hub.VisualQuestionAnsweringOutputElement

[[autodoc]] huggingface_hub.VisualQuestionAnsweringParameters



## zero_shot_classification

[[autodoc]] huggingface_hub.ZeroShotClassificationInput

[[autodoc]] huggingface_hub.ZeroShotClassificationOutputElement

[[autodoc]] huggingface_hub.ZeroShotClassificationParameters



## zero_shot_image_classification

[[autodoc]] huggingface_hub.ZeroShotImageClassificationInput

[[autodoc]] huggingface_hub.ZeroShotImageClassificationOutputElement

[[autodoc]] huggingface_hub.ZeroShotImageClassificationParameters



## zero_shot_object_detection

[[autodoc]] huggingface_hub.ZeroShotObjectDetectionBoundingBox

[[autodoc]] huggingface_hub.ZeroShotObjectDetectionInput

[[autodoc]] huggingface_hub.ZeroShotObjectDetectionOutputElement

[[autodoc]] huggingface_hub.ZeroShotObjectDetectionParameters
